CALL_RCU(9)

NAME
call_rcu - Queue an RCU callback for invocation after a grace period.

SYNOPSIS

void fastcall call_rcu (struct rcu_head * head, void (*func) <funcparams>struct rcu_head *rcu</funcparams>);

ARGUMENTS

head
    structure to be used for queueing the RCU updates.

func
    actual update function to be invoked after the grace period

DESCRIPTION

The update function will be invoked some time after a full grace period elapses, in other words after all currently executing RCU read-side critical sections have completed. RCU read-side critical sections are delimited by rcu_read_lock and rcu_read_unlock, and may be nested.